
QGIS Application - Bug report #17289

Issue editing layers

2017-10-16 12:26 PM - Arthur Taute

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25187

Description

I am having problems editing attribute data in 2.18.13 – when the layer is in edit mode - the edits typed into the attribute table are not

shown untill after save and re-opening the table.

This happens with both PostGIS and shapefile layers.

Earlier versions of QGIS work fine on the same project.

Related issues:

Related to QGIS Application - Bug report # 17262: Attribute table data entere... Closed 2017-10-09

Duplicates QGIS Application - Bug report # 17187: Attribute Table refresh issue Closed 2017-09-24

History

#1 - 2017-10-16 12:30 PM - Giovanni Manghi

- Subject changed from QGIS 2.18.13 to Issue editing layers

- Status changed from Open to Feedback

- Operating System deleted (MS)

Please use a descriptive title when filing issues, thanks!

Can you please add detailed steps (and data if necessary) on how replicate the issue, thanks!

#2 - 2017-10-16 08:23 PM - Steve Lowman

- File Bug_17289_Feature1.mp4 added

Please see attached mp4 video demonstrating some of the problem, with only one feature in the layer.

I will upload a second one to show how it behaves for the second feature digitised.

With only one feature in the layer, enter attributes into each cell, tabbing across from cell to cell.

You see the data being entered, but it disappears when you tab to the next cell.

Also, when you do a simple calculation, the result fails to display in the relevant cell.

Only on clicking Save, then the data items appear.

Not shown here, but sometimes not even the Save will make the data visible. Then you have to close and re-open the Attribute Table to see the entered

data in the cells.

#3 - 2017-10-16 08:26 PM - Steve Lowman

- File Bug_17289_Feature2.mp4 added
Attached mp4 shows data being entered for a second feature.

This time, the data disappears on the first 'tab' but then reappears when I tab again, so the data entry is displayed one cell behind where it should be.

The result of the calculation is more consistently failing to display until Save is clicked.

However, I hear that it may display on scrolling if I had more features in the layer to  scroll with.

#4 - 2017-10-16 08:33 PM - Steve Lowman

#17262.

Both bugs are concerning data entry in attribute table 'table view'.

It may be efficient to fix both errors together.

Also #17187 - This is a very similar bug, currently classed as High Priority, and it is actually shown in the mp4 videos entered here above.

Also #17280 - this is basically the same bug.

#5 - 2017-10-16 09:46 PM - Steve Lowman

I suggest the category should be 'Attribute Table', not 'Editing'.

#6 - 2017-10-17 09:10 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

Duplicate of #17187

#7 - 2017-10-17 09:16 AM - Jürgen Fischer

- Related to Bug report #17187: Attribute Table refresh issue added

#8 - 2017-10-17 09:17 AM - Jürgen Fischer

- Related to deleted (Bug report #17187: Attribute Table refresh issue)

#9 - 2017-10-17 09:17 AM - Jürgen Fischer

- Duplicates Bug report #17187: Attribute Table refresh issue added

#10 - 2017-11-23 09:15 AM - Alessandro Pasotti

- Related to Bug report #17262: Attribute table data entered text is obscured by the 'x' button added

Files

Bug_17289_Feature1.mp4 3.01 MB 2017-10-16 Steve Lowman

Bug_17289_Feature2.mp4 2.69 MB 2017-10-16 Steve Lowman
